Skip to content

get statement

GET
/v1/statements
curl --request GET \
--url 'https://api.flowpayra.com/v1/statements?currency_id=example&from=2026-04-15T12%3A00%3A00Z&to=2026-04-15T12%3A00%3A00Z' \
--header 'X-Api-Key: <X-Api-Key>' \
--header 'X-Nonce: <X-Nonce>' \
--header 'X-Signature: <X-Signature>' \
--header 'X-Timestamp: <X-Timestamp>'
currency_id
required
string
>= 1 characters <= 128 characters
from
required
string format: date-time
to
required
string format: date-time
cursor
string
limit
integer format: int64
>= 1 <= 100

Successful response

Media typeapplication/json
object
merchant_id
required
string
>= 1 characters <= 128 characters
currency_id
required
string
>= 1 characters <= 128 characters
code
required
string
symbol
required
string
accounting_decimals
required
integer format: int32
opening_canonical
required
string
<= 156 characters /^(0|[1-9][0-9]*)$/
closing_canonical
required
string
<= 156 characters /^(0|[1-9][0-9]*)$/
window_entry_count
required
integer format: int64
limit
required
integer format: int64
>= 1 <= 100
next_cursor
required
One of:
string
lines
required
Array<object>
object
ledger_entry_id
required
integer format: int64
ledger_transaction_id
required
string
>= 1 characters <= 128 characters
tx_type
required
string
business_type
required
string
direction
required
string
canonical_amount
required
string
<= 156 characters /^(0|[1-9][0-9]*)$/
signed_canonical_amount
required
string
/^-?(0|[1-9][0-9]*)$/
balance_after_canonical
required
string
<= 156 characters /^(0|[1-9][0-9]*)$/
payment_id
required
One of:
string
>= 1 characters <= 128 characters
merchant_order_no
required
One of:
string
source_merchant_id
required
One of:
string
>= 1 characters <= 128 characters
withdrawal_id
required
One of:
string
>= 1 characters <= 128 characters
platform_fee_canonical
required
string
<= 156 characters /^(0|[1-9][0-9]*)$/
is_split_recipient_income
required
boolean
created_at
required
string format: date-time
reconciles
required
boolean
Examplegenerated
{
"merchant_id": "example",
"currency_id": "example",
"code": "example",
"symbol": "example",
"accounting_decimals": 1,
"opening_canonical": "example",
"closing_canonical": "example",
"window_entry_count": 1,
"limit": 1,
"next_cursor": "example",
"lines": [
{
"ledger_entry_id": 1,
"ledger_transaction_id": "example",
"tx_type": "example",
"business_type": "example",
"direction": "example",
"canonical_amount": "example",
"signed_canonical_amount": "example",
"balance_after_canonical": "example",
"payment_id": "example",
"merchant_order_no": "example",
"source_merchant_id": "example",
"withdrawal_id": "example",
"platform_fee_canonical": "example",
"is_split_recipient_income": true,
"created_at": "2026-04-15T12:00:00Z"
}
],
"reconciles": true
}

Stable API error

Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{
"code": "example",
"message": "example",
"details": "example"
}

Stable API error

Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{
"code": "example",
"message": "example",
"details": "example"
}

Stable API error

Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{
"code": "example",
"message": "example",
"details": "example"
}

Stable API error

Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{
"code": "example",
"message": "example",
"details": "example"
}

Stable API error

Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{
"code": "example",
"message": "example",
"details": "example"
}